import type { CreatePagesArgs } from 'gatsby';
import type { ThemeOptions } from '@cieloazul310/gatsby-theme-aoi-blog-types';
/**
 * createPagesAsync で何をするか
 * 1. MdxPost ノードごとにページを作成する (Post)
 * 2. Author ノードごとにページを作成する (Author)
 * 3. MdxPost の新着順の一覧ページを作成する (AllPosts)
 * 4. MdxPost の月別の一覧ページを作成する (Archive)
 * 5. MdxPost のカテゴリー別のページを作成する (Categories)
 * 6. MdxPost のタグ別のページを作成する (Tags)
 */
export default function createPagesAsync({ graphql, actions, reporter }: CreatePagesArgs, themeOptions: Partial<ThemeOptions>): Promise<void>;
