import type { CreateSchemaCustomizationArgs } from 'gatsby';
import type { ThemeOptions } from '@cieloazul310/gatsby-theme-aoi-blog-types';
/**
 * createMdxPostSchemaCustomization で何をするか
 *
 * `MdxPost` スキーマ(ノード)を拡張する
 * 1. author フィールドと `Author` ノードを連結する
 * 2. image フィールドと `File` ノードを連結する
 * 3. tableOfContents, excerpt フィールドを `Mdx` ノードから引用する
 *
 * その他のスキーマを作成する
 * 1. Terminology スキーマ (カテゴリー、タグで使用)
 * 2. MdxPostMonth スキーマ (月別の MdxPost で使用)
 */
export default function createMdxPostSchemaCustomization({ actions, schema }: CreateSchemaCustomizationArgs, themeOptions: ThemeOptions): void;
